import java.awt.Font;

import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.awt.event.WindowListener;

import javax.swing.Box;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

class FontDemo extends JPanel
{
  public FontDemo()
  {
    Box box = Box.createVerticalBox();
    add(box);

    JLabel l1 = new JLabel("Times Roman Plain 36");
    l1.setFont(new Font("TimesRoman", Font.PLAIN, 36));

    JLabel l2 = new JLabel("Times Roman Bold Italic 20");
    l2.setFont(new Font("TimesRoman", Font.BOLD & Font.ITALIC, 20));

    JLabel l3 = new JLabel("Helvetica Plain 20");
    l3.setFont(new Font("Helvetica", Font.PLAIN, 20));

    JLabel l4 = new JLabel("Helvetica Italic 18");
    l4.setFont(new Font("Helvetica", Font.ITALIC, 18));

    JLabel l5 = new JLabel("Sans Serif Plain 16");
    l5.setFont(new Font("SansSerif", Font.PLAIN, 16));

    JLabel l6 = new JLabel("Sans Serif Bold Italic 14");
    l6.setFont(new Font("TimesRoman", Font.PLAIN & Font.BOLD, 14));

    JLabel l7 = new JLabel("Monospaced Plain 14");
    l7.setFont(new Font("Monospaced", Font.PLAIN, 12));

    JLabel l8 = new JLabel("Dialog Bold 18");
    l8.setFont(new Font("Dialog", Font.BOLD, 12));

    box.add(l1);
    box.add(Box.createVerticalStrut(15));
    box.add(l2);
    box.add(Box.createVerticalStrut(15));
    box.add(l3);
    box.add(Box.createVerticalStrut(15));
    box.add(l4);
    box.add(Box.createVerticalStrut(15));
    box.add(l5);
    box.add(Box.createVerticalStrut(15));
    box.add(l6);
    box.add(Box.createVerticalStrut(15));
    box.add(l8);
    box.add(Box.createVerticalStrut(15));
    box.add(l7);
  }


  public static void main(String [] args)
  {
    FontDemo app = new FontDemo();
    JFrame f = new JFrame("Font Demo");
    WindowListener wL = new WindowAdapter()
      {
	public void windowClosing(WindowEvent e)
	  {
	    e.getWindow().dispose();
	    System.exit(0);
	  }
      };
    f.addWindowListener(wL);
    f.getContentPane().add(app);
    f.pack();
    f.show();
  }
}

