import java.awt.*;
import javax.swing.*;

public class GridBagLayoutDemo extends JPanel
{
  public GridBagLayoutDemo()
  {
    GridBagLayout gbl = new GridBagLayout();
    GridBagConstraints constraints = new GridBagConstraints();

    setLayout(gbl);

    JButton one = new JButton("1");
    gbl.setConstraints(one, constraints);

    constraints.fill = GridBagConstraints.HORIZONTAL;
    JButton two = new JButton("2");
    gbl.setConstraints(two, constraints);

    constraints.gridx = 4;
    constraints.gridwidth = 2;
    JButton three = new JButton("3");
    gbl.setConstraints(three, constraints);

    constraints.gridx = 0;
    constraints.gridy = 1;
    constraints.gridwidth = 2;
    constraints.gridheight = 3;
    constraints.fill = GridBagConstraints.BOTH;
    JButton four = new JButton("4");
    gbl.setConstraints(four, constraints);

    constraints.gridx = 2;
    constraints.gridy = 1;
    constraints.gridwidth = 2;
    constraints.gridheight = 3;
    JButton five = new JButton("5");
    gbl.setConstraints(five, constraints);

    constraints.gridx = 4;
    constraints.gridwidth = GridBagConstraints.REMAINDER;
    constraints.fill = GridBagConstraints.NONE;
    JButton six = new JButton("6");
    gbl.setConstraints(six, constraints);

    constraints.gridx = 0;
    constraints.gridy = 5;
    constraints.gridheight = 2;
    constraints.gridwidth = 2;
    constraints.fill = GridBagConstraints.VERTICAL;
    JButton seven = new JButton("7");
    gbl.setConstraints(seven, constraints);

    constraints.gridx = 4;
    constraints.gridy = 7;
    constraints.gridheight = 3;
    constraints.gridwidth = 2;
    constraints.fill = GridBagConstraints.HORIZONTAL;
    JButton eight = new JButton("8");
    gbl.setConstraints(eight, constraints);

    constraints.gridx = 5;
    constraints.gridy = 7;
    JButton nine = new JButton("9");
    gbl.setConstraints(nine, constraints);

    add(one);
    add(two);
    add(three);
    add(four);
    add(five);
    add(six);
    add(seven);
    add(eight);
    add(nine);
  }

  public static void main(String [] args)
  {
    GridBagLayoutDemo app = new GridBagLayoutDemo();

    JFrame f = new JFrame("GridBagLayout Demo");
    f.getContentPane().add(app);
    f.pack();
    f.setVisible(true);
  }

}
