import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;

class ScrollPaneDemo extends JPanel
{

  public ScrollPaneDemo()
  {
    Icon icon = new ImageIcon("/home/vartan/dev/book/images/BIG2.JPG");

    JLabel label = new JLabel(icon);

    JScrollPane scrollPane = new 
      JScrollPane(label, 
		  JScrollPane.VERTICAL_SCROLLBAR_ALWAYS,
		  JScrollPane.HORIZONTAL_SCROLLBAR_ALWAYS);

    scrollPane.setHorizontalScrollBarPolicy(
        JScrollPane.HORIZONTAL_SCROLLBAR_ALWAYS);
    scrollPane.setVerticalScrollBarPolicy(
        JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);

    add(scrollPane);
  }


  public static void main(String [] args)
  {
    JFrame f = new JFrame("JScrollPane Demo");
    WindowListener wL = new WindowAdapter()
      {
	public void windowClosing(WindowEvent e)
	  {
	    ((Window) e.getSource()).dispose();
	    System.exit(0);
	  }
      };
    f.addWindowListener(wL);

    ScrollPaneDemo app = new ScrollPaneDemo();

    f.getContentPane().add(app);
    f.pack();
    f.setVisible(true);
  }
}
